org.eclipse.microprofile.reactive.streams.operators.spi

## Class UnsupportedStageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.microprofile.reactive.streams.operators.spi.UnsupportedStageException

All Implemented Interfaces:
  Serializable

    public class UnsupportedStageException
    extends RuntimeException

Exception thrown when a reactive streams engine doesn't support a stage that is passed to it.

All reactive streams engines should support all stages, but this allows for a graceful mechanism to report issues, for example if in a future version a new stage is added that is not recognised by an existing implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedStageException(Stage stage)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedStageException

    public UnsupportedStageException(Stage stage)